---
lang: en
title: 'API docs: authentication.authenticationmiddlewareprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticationmiddlewareprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationMiddlewareProvider](./authentication.authenticationmiddlewareprovider.md)

## AuthenticationMiddlewareProvider class

**Signature:**

```typescript
export declare class AuthenticationMiddlewareProvider implements Provider<Middleware> 
```
**Implements:** [Provider](./context.provider.md)<!-- -->&lt;Middleware&gt;

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(authenticate)](./authentication.authenticationmiddlewareprovider._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `AuthenticationMiddlewareProvider` class


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[value()](./authentication.authenticationmiddlewareprovider.value.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


